/* start here */
.product {
  max-width: 600px;
  background-color: var(--clr-neutral-800);
  border-radius: 0.25rem;
  overflow: hidden;
  box-shadow: 0.5rem 0.5rem 1rem rgb(0 0 0 / 0.15);
}

/* end here */

.product__title {
  line-height: 1;
  font-size: 2rem;
}

.product__content > p {
  line-height: 1.7;
}

.btn {
  cursor: pointer;
  border: 0;
  padding: 0.5em 1em;
  border-radius: 0.25em;
  background: var(--clr-primary-700);
  color: var(--clr-neutral-100);
}

.btn:is(:hover, :focus) {
  background: var(--clr-primary-400);
}

:root {
  --clr-neutral-900: hsl(210, 11%, 7%);
  --clr-neutral-800: hsl(210, 11%, 12%);
  --clr-neutral-200: hsl(210, 30%, 85%);
  --clr-neutral-100: hsl(210, 30%, 95%);
  --clr-primary-700: hsl(210, 75%, 35%);
  --clr-primary-400: hsl(210, 75%, 52%);
}

* {
  box-sizing: border-box;
  margin: 0;
}

body {
  font-family: system-ui;
  background-color: var(--clr-neutral-900);
  color: var(--clr-neutral-200);
  padding: 3rem;
}

h2 {
  font-size: 1.5rem;
  color: var(--clr-neutral-100);
}

img {
  max-width: 100%;
  display: block;
}
